/*******************************************************************************
 * NxForceFieldSpawnable generated by Eliot.UELib using UE Explorer.
 * Eliot.UELib ? 2009-2015 Eliot van Uytfanghe. All rights reserved.
 * http://eliotvu.com
 *
 * All rights belong to their respective owners.
 *******************************************************************************/
class NxForceFieldSpawnable extends Actor
    native(ForceField)
    notplaceable
    hidecategories(Navigation);

var() export editinline NxForceFieldComponent ForceFieldComponent;

simulated function OnToggle(SeqAct_Toggle inAction)
{
    // End:0x5B
    if(inAction.InputLinks[0].bHasImpulse)
    {
        ForceFieldComponent.bForceActive = true;
    }
    // End:0x12F
    else
    {
        // End:0xB6
        if(inAction.InputLinks[1].bHasImpulse)
        {
            ForceFieldComponent.bForceActive = false;
        }
        // End:0x12F
        else
        {
            // End:0x12F
            if(inAction.InputLinks[2].bHasImpulse)
            {
                ForceFieldComponent.bForceActive = !ForceFieldComponent.bForceActive;
            }
        }
    }
    //return;    
}

defaultproperties
{
    RemoteRole=ENetRole.ROLE_SimulatedProxy
    bAlwaysRelevant=true
    bOnlyDirtyReplication=true
    NetUpdateFrequency=0.10
}